_______________________

Image Hosted by ImageShack.us
______________________

Specifiche:
– Webcam CiF CMOS di elevata qualità (352 x 288)
– Acquisizione video: 640 x 480 pixel (interpolazione software)
– Acquisizione di immagini fisse: 640 x 480 pixel (interpolazione software)
– Frequenza fotogrammi: fino a 30 fotogrammi al secondo (con sistemi consigliati)
– Certificazione USB 2.0
– Cavo USB da 1,82 m
– Messa a fuoco manuale
– Clip universale per schermi LCD, CRT o notebook

Info-prodotto

________________________________________________

Installazione

I driver utilizzati da questo modello di webcam sono i gspca.
L’installazione si intende su Ubuntu/Kubuntu Edgy ,perche’ hanno gia’ di default un kernel che supporta i video4linux (videodev..ed altri driver)
Image Hosted by ImageShack.us

*Scaricare i sorgenti da questo indirizzo
*Scompattarli:
tar xfvz gspcav1-20070110.tar.gz
*Installarli:
sudo make
sudo make install
sudo depmod -a
sudo modprobe --force gspca

Colleghiamo la webcam e rileviamo l’avvenuto collegamento da un terminale con:

tail -f /var/log/messages

Jan 20 18:15:16 a6j kernel: [96268.460000] /home/dyve/driver/gspcav1-20060925/gspca_core.c: USB SPCA5XX camera found.(SPCA561A)
Jan 20 18:15:16 a6j kernel: [96268.460000] /home/dyve/driver/gspcav1-20060925/gspca_core.c: [spca5xx_probe:3885] Camera type S561
Jan 20 18:15:16 a6j kernel: [96268.464000] /home/dyve/driver/gspcav1-20060925/gspca_core.c: [spca5xx_getcapability:1163] maxw 352 maxh 288 minw 160 minh 120
Jan 20 18:15:16 a6j kernel: [96268.464000] usbcore: registered new interface driver gspca
Jan 20 18:15:16 a6j kernel: [96268.464000] /home/dyve/driver/gspcav1-20060925/gspca_core.c: gspca driver 01.00.04 registered

Provate a lanciare un tool come Camorama..ed il risultato dovrebbe essere questo:
Image Hosted by ImageShack.us

Informazioni Utili altri modelli di webcam (con chip
diversi)

AGGIORNAMENTO: col kernel 2.6.20 di Feisty Fawn il modulo GSPCA e’ stato inserito di default tra i moduli
_____________________________________

Related Posts Plugin for WordPress, Blogger...

Il tuo indirizzo ip:
54.90.237.148

Valutazione 3.00 su 5
happy wheels 2 demo

Category:

Senza categoria

Tags:

,

Commenti via Facebook:

Leave a Reply

Your email address will not be published. Required fields are marked *

*

15 Comments

  • Ciao, anche io uso gli stessi driver (gspca), e siccome ho letto che hai scritto una guida per la terratec cinergy, avrai notato che questi moduli non funzionano dopo l’installazione di linux-dvb (se installi i nuovi headers non compila il gspca, se non li installi non carica il modulo).
    Sei per caso riuscito ad usare i 2 dispositivi contemporaneamente???

      Quota

  • non ho ancora provato..pero’ ho compilato normalmente i v4l-dvb e i gspca..forse questi ultimi,come vedi dal log,si caricano con difficolta’ e vanno forzati

      Quota

  • quando compili e installi i v4l-dvb installi anche nuove versioni di videodev, v4l e v4l2. con i rispettivi headers. io dopo che con modprobe caricavo i gspca mi diceva che videodev era un’altra versione così dalla cartella v4l-dvb davo:
    sudo make kernel-links
    così anche i nuovi headers erano installati.
    ma a quel punto non mi compilava più gspca.
    ora sono all’estero, ma quando torno in italia provo a forzare la compilazione di gspca con il nuovo modulo videodev, vediamo che succede…
    ovviamente con gli headers originali del kernel la webcam va benissimo.
    ho mandato un’email all’autore del modulo della webcam e mi ha risposto che è a conoscenza del problema ma per ora non ha tempo per lavorarci 🙁 .
    ho inviato anche una mail alla mailing list di linux-dvb e nessuna risposta. puoi vedere qui: http://www.mail-archive.com/linux-dvb@linuxtv.org/msg20965.html
    comunque grazie.

      Quota

  • Ho avuto problemi a compilare e caricare i gspca col kernel 2.6.18.2..mentre con quello di default di ubuntu /2.6.17-10-generic) e altri che ho installato io (il 19.1,19.2,20rc1) tutto ok
    I v4l invece li ho scaricati da cvs..v4l-dvb-kernel
    mentre i v4l-dvb non compilano il modulo di cui ho bisogno per la terratec:em2880-dvb
    forse potrebbe essere per questo..
    ancora non li ho collegati assieme,ma se tutti e 2 usano video0 oviamente non funzionerebbe

      Quota

  • ma dopo che col kernel 2.6.17.10-generic hai installato i v4l-dvb-kernel (anche io ho notato che con i v4l-dvb non compila quello per il digitale terrestre) e compili i moduli, si riesce a compilare il modulo gspca tranquillamente in quanto gli headers rimangono quelli originali del kernel.
    solo che all’inserimento di gspca da questo messaggio:

    gspca: disagrees about version of symbol video_devdata

    che evidentemente è un problema di diversa versione di videodev. in quanto è stato compilato con la versione originale del kernel (la vecchia presente nel 2.6.10 di ubuntu) ma quando viene inserito è quello nuovo (il binario che inserisce modprobe è quello installato da v4l-dvb, cioè la nuova versione).
    infatti con il make install di v4l-dvb vengono installati solamente i binari, mentre se dai anche “make kernel-links” vengono creati dei symlinks anche agli headers delle nuove versioni di videodev.

    Io penso che bisogna aspettare che aggiornino gspca (e la maggior parte dei drivers dei dispositivi che usano v4l, perché lo stesso problema si presenta con il modulo ov519 per alcune webcam trust) ma se tu, dopo l’installazione di v4l-dvb sei riuscito a forzare l’inserimento di gspca (compilato con il vecchio videodev) è già una “mezza soluzione”.

    Fra 2 giorni provo e ti faccio sapere.

    P.s. Comunque non credo sia un problema di sovrapposizione del device /dev/video0, in quanto in quel caso dovrebbe (credo…) creare /dev/video0 per il primo device, e /dev/video1 per il secondo…

    ciao!

      Quota

  • quelli che hanno la scheda tv su pci ho notato che automaticamente prende dev video0 e la webcam video1..anche se non sono contemporaneamente collegate..
    e’ vero che i driver 0v519 hanno seri problemi di installazione..sto uscendo pazzo ad aiutare i ragazzi che chiedono aiuto su ubuntu.it
    In realta’ il modulo gspca,quando collego la webcam non si autocarica come dovrebbe..ma dal dmesg esce una sfilza di errori…se non avessi provato per caso

    modprobe –force gspca

    sarei ancora qua a sbattere la testa..:)

      Quota

  • niente da fare..collegando terratec e webcam..la webcam non funziona..mentre va il dvb
    anche nelle impostazioni di amsn non c’e’ la logitech come device ma c’e’ la terratec..heheh

      Quota

  • ok… mi sa che dobbiamo aspettare che aggiornino un bel po’ di driver v4l. comunque il programmatore di gspca rilascia spesso release aggiornati…
    speriamo.
    se trovo qualcosa posto qui.
    ciao e grazie.

      Quota

  • i gspca 2006 non funzionano piu’ con kernel superiore al 2.6.19.1
    Ho scaricato i 2007 e li ho installati correttamente..l’errore sembra sparito

      Quota

  • splash ITALY 10 anni ago

    Ciao.
    Ho seguito la guida e tutto,almeno credo,è andato bene.
    Aperto Camorama riesco a vedere le riprese della cam.Ho però un problema:
    quando clicco su “view” e scelgo di avere una visione diversa da quella medium di defalt mi arriva un messaggio di errore:
    “unable to capture image” e il progrsmms si chiude.
    Non riesco ad avere una visualizzazione small o large dunque.
    Quale può essere il problema?

      Quota

  • ciao..prova a lanciare camorama con una di queste opzioni:

    Application options
    -V, –version show version and exit
    -d, –device=STRING v4l device to use
    -D, –debug enable debugging code
    -x, –width=INT capture width
    -y, –height=INT capture height
    -M, –max maximum capture size
    -m, –min minimum capture size
    -H, –half middle capture size
    -R, –read use read() rather than mmap()

      Quota

  • Franco ITALY 10 anni ago

    Ciao.Ho seguito la procedura ma,quando cerco d’installare,mi compare questo output:
    gafran@gafran-desktop:~/Desktop/gspcav1-20070110$ sudo make && make install
    make -C /lib/modules/`uname -r`/build SUBDIRS=/home/gafran/Desktop/gspcav1-20070110 CC=cc modules
    make[1]: Entering directory `/usr/src/linux-headers-2.6.17-11-generic’
    Building modules, stage 2.
    MODPOST
    make[1]: Leaving directory `/usr/src/linux-headers-2.6.17-11-generic’
    mkdir -p /lib/modules/`uname -r`/kernel/drivers/usb/media/
    mkdir: cannot create directory `/lib/modules/2.6.17-11-generic/kernel/drivers/usb/media’: Permission denied
    make: *** [install] Error 1
    Cosa posso fare?

      Quota

  • “make install” non viene interpretato dietro a sudo..ora correggo
    lancia

    sudo make
    sudo make install
    sudo depmod -a
    sudo modprobe –force gspca

      Quota

  • Franco ITALY 10 anni ago

    Adesso va tutto a meraviglia.Ti ringrazio infinitamente.

      Quota